<script setup lang="ts">

import Flex from "@/components/atoms/container/Flex.vue";

defineProps({
  img: String,
  alt: String,
})

</script>

<template>
  <Flex class="flex-col grow gap-content">
    <Flex class="flex-col grow gap-content">
      <img v-if="img" :alt="alt" :src="img" class="h-74"/>
      <hr v-if="img" class="border-black"/>
      <slot/>
    </Flex>
    <hr class="border-black" v-if="$slots.actions"/>
    <Flex class="flex-col gap-text">
      <slot name="actions"/>
    </Flex>
  </Flex>
</template>